Saxon API for .NET |

# XsltTransformer Members

XsltTransformer overview

#### Public Instance Properties

BaseOutputUri | The base output URI, which acts as the base URI for resolving the `href` attribute of `xsl:result-document`.
Implementation | Escape hatch to the underlying Java implementation
InitialContextNode | The initial context item for the stylesheet.
InitialMode | The initial mode for the stylesheet. This is either a QName, for a named mode, or null, for the unnamed (default) mode.
InitialTemplate | The initial template for the stylesheet. This is either a QName, for a named template, or null, if no initial template has been set.
InputXmlResolver | The `XmlResolver` to be used at run-time to resolve and dereference URIs supplied to the `doc()` and `document()` functions.
ResultDocumentHandler | The `IResultDocumentHandler` to be used at run-time to process the output produced by any `xsl:result-document` instruction with an `href` attribute.

#### Public Instance Methods

Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
GetHashCode (inherited from Object) | Serves as a hash function for a particular type, suitable for use in hashing algorithms and data structures like a hash table.
GetType (inherited from Object) | Gets the Type of the current instance.
Run | Run the transformation, sending the result to a specified destination.
SetParameter | Set the value of a stylesheet parameter.
ToString (inherited from Object) | Returns a String that represents the current Object.

#### Protected Instance Methods

Finalize (inherited from Object) | Allows an Object to attempt to free resources and perform other cleanup operations before the Object is reclaimed by garbage collection.
MemberwiseClone (inherited from Object) | Creates a shallow copy of the current Object.

#### See Also

XsltTransformer Class | Saxon.Api Namespace